test: _DMA_REGISTERS struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _DMA_REGISTERS Struct Reference

`#include <duodma.h>`

List of all members.

## Public Attributes

DMA_REGISTER | Configuration
DMA_REGISTER | RevisionLevel
DMA_REGISTER | RemoteFailedAddress
DMA_REGISTER | MemoryFailedAddress
DMA_REGISTER | InvalidAddress
DMA_REGISTER | TranslationBase
DMA_REGISTER | TranslationLimit
DMA_REGISTER | TranslationInvalidate
DMA_REGISTER | ChannelInterruptAcknowledge
DMA_REGISTER | LocalInterruptAcknowledge
DMA_REGISTER | EisaInterruptAcknowledge
DMA_REGISTER | TimerInterruptAcknowledge
DMA_REGISTER | IpInterruptAcknowledge
DMA_REGISTER | Reserved1
DMA_REGISTER | WhoAmI
DMA_REGISTER | NmiSource
DMA_REGISTER | RemoteSpeed [15]
DMA_REGISTER | InterruptEnable
DMA_CHANNEL | Channel [4]
DMA_REGISTER | ArbitrationControl
DMA_REGISTER | Errortype
DMA_REGISTER | RefreshRate
DMA_REGISTER | RefreshCounter
DMA_REGISTER | SystemSecurity
DMA_REGISTER | InterruptInterval
DMA_REGISTER | IntervalTimer
DMA_REGISTER | IpInterruptRequest
DMA_REGISTER | InterruptDiagnostic
DMA_LARGE_REGISTER | EccDiagnostic
DMA_REGISTER | MemoryConfig [4]
DMA_REGISTER | Reserved2
DMA_REGISTER | Reserved3
DMA_LARGE_REGISTER | IoCacheBuffer [64]
DMA_REGISTER | IoCachePhysicalTag [8]
DMA_REGISTER | IoCacheLogicalTag [8]
DMA_REGISTER | IoCacheLowByteMask [8]
DMA_REGISTER | IoCacheHighByteMask [8]
DMA_REGISTER | CacheMaintenance
DMA_REGISTER | PhysicalTag
DMA_REGISTER | LogicalTag
DMA_REGISTER | ByteMask
DMA_REGISTER | BufferWindowLow
DMA_REGISTER | BufferWindowHigh
DMA_REGISTER | ParityDiagnosticLow
DMA_REGISTER | ParityDiagnosticHigh
DMA_REGISTER | InterruptSource
DMA_REGISTER | InterruptAcknowledge

## Member Data Documentation

DMA_REGISTER _DMA_REGISTERS::ArbitrationControl

| Definition at line 76 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::BufferWindowHigh

| Definition at line 63 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::BufferWindowLow

| Definition at line 62 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::ByteMask

| Definition at line 61 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::CacheMaintenance

| Definition at line 56 of file jazzdma.h.

DMA_CHANNEL _DMA_REGISTERS::Channel

| Definition at line 67 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::ChannelInterruptAcknowledge

| Definition at line 65 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::Configuration

| Definition at line 50 of file jazzdma.h.

DMA_LARGE_REGISTER _DMA_REGISTERS::EccDiagnostic

| Definition at line 85 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::EisaInterruptAcknowledge

| Definition at line 67 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::Errortype

| Definition at line 69 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::InterruptAcknowledge

| Definition at line 75 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::InterruptDiagnostic

| Definition at line 84 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::InterruptEnable

| Definition at line 74 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::InterruptInterval

| Definition at line 73 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::InterruptSource

| Definition at line 68 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::IntervalTimer

| Definition at line 74 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::InvalidAddress

| Definition at line 52 of file jazzdma.h.

DMA_LARGE_REGISTER _DMA_REGISTERS::IoCacheBuffer[64]

| Definition at line 89 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::IoCacheHighByteMask[8]

| Definition at line 93 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::IoCacheLogicalTag[8]

| Definition at line 91 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::IoCacheLowByteMask[8]

| Definition at line 92 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::IoCachePhysicalTag[8]

| Definition at line 90 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::IpInterruptAcknowledge

| Definition at line 69 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::IpInterruptRequest

| Definition at line 83 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::LocalInterruptAcknowledge

| Definition at line 66 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::LogicalTag

| Definition at line 60 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::MemoryConfig[4]

| Definition at line 86 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::MemoryFailedAddress

| Definition at line 58 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::NmiSource

| Definition at line 72 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::ParityDiagnosticHigh

| Definition at line 66 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::ParityDiagnosticLow

| Definition at line 65 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::PhysicalTag

| Definition at line 59 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::RefreshCounter

| Definition at line 71 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::RefreshRate

| Definition at line 70 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::RemoteFailedAddress

| Definition at line 57 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::RemoteSpeed

| Definition at line 64 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::Reserved1

| Definition at line 70 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::Reserved2

| Definition at line 87 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::Reserved3

| Definition at line 88 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::RevisionLevel

| Definition at line 51 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::SystemSecurity

| Definition at line 72 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::TimerInterruptAcknowledge

| Definition at line 68 of file duodma.h.

DMA_REGISTER _DMA_REGISTERS::TranslationBase

| Definition at line 53 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::TranslationInvalidate

| Definition at line 55 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::TranslationLimit

| Definition at line 54 of file jazzdma.h.

DMA_REGISTER _DMA_REGISTERS::WhoAmI

| Definition at line 71 of file duodma.h.

The documentation for this struct was generated from the following files:

- duodma.h
- jazzdma.h